SJAAKII(6)

NAME
sjaakii - xboard-compatible chess and chess-variant engine 'SjaakII'

SYNOPSIS
sjaakii [-log|-newlog [filename]] [-variant name] [-no_user_variants] [-xboard|-uci|-uci|-ucci] [variant file]

DESCRIPTION
sjaakii is a program that plays chess and chess variants. It uses the xboard/winboard chess-engine protocol to communicate. Apart from normal chess, SjaakII can play Seirawan Chess, Mongolian Shatar, Makruk (including variants ASEAN and Ai-Wok), Shatranj, Sittuyin (Burmese Chess), Crazy House Chess, Chessgi, Spartan Chess, Pocket Knight Chess, King-of-th-Hill, Knightmate, Amazon Chess, Chancellor Chess, Berolina Chess, Los Alamos Chess, Micro Chess, Capablanca Chess, Gothic Chess, Embassy Chess, Courier Chess, Grand Chess, Opulent Chess, Omega Chess, Shogi (including variants Mini Shogi, Sho Shogi and Tori Shogi) and Xiang-Qi. Other variants can be added through a configuration file.

See xboard(6) for instructions about how to use sjaakii through xboard. To start up quickly, you just need the command: xboard -fcp sjaakii.

Some of the variants SjaakII plays are only partially supported by XBoard, and can only be played whith the legality-testing function of the latter switched off.

OPTIONS

-log [filename]
    Append all communication by SjaakII and XBoard to a logfile. If no filename is specified, the log is written to sjaakii.log.

-newlog [filename]
    As -log, but the file is overwritten rather than added to.

-variant name
    Normally, SjaakII starts with variant "normal" (regular chess), but it can be made to start with any other named variant with this option.

-no_user_variants
    Do not read the default variant configuration file. You can still specify a file in the engine options.

-xboard
    Start in xboard mode rather than the default mode.

-uci
    Start in UCI mode rather than the default mode.

-usi
    Start in USI mode rather than the default mode.

-ucci
    Start in UCCI mode rather than the default mode.

variant file
    Read variant descriptions from the named file.

AVAILABILITY
From http://www.eglebbk.dds.nl/program/chess-index.html

SEE ALSO
xboard(6)

STANDARDS
WinBoard, xboard(6) interface ("Chess Engine Communication Protocol")

AUTHOR
Evert Glebbeek <eglebbk@dds.nl>.

This manual page was based on the man page for Fairy-Max by H.G. Muller and was generated with pod2man(1).